<script setup lang="ts">
import { useStore } from "vuex";
import { computed } from "vue";
import { ref } from "vue";
import SortableList from "@/components/SortableList.vue";

const store = useStore();
const input = ref("");

const filteredStops = computed(() => store.getters.filteredStopList);
const handleSearch = () => store.dispatch("handleSearch", input.value);
</script>

<template>
  <div class="stop-tab bg-white p-2">
    <div class="search-input">
      <input
        type="text"
        v-model="input"
        placeholder="Search fruits..."
        @input="handleSearch"
      />
      <i class="search-icon" @click="handleSearch"></i>
    </div>
    <SortableList
      :data="filteredStops"
      :current="undefined"
      :selectable="false"
      :sortable="true"
    ></SortableList>
  </div>
</template>

<style scoped>
.stop-tab {
  max-height: 80vh;
  overflow: auto;
}
.search-input {
  position: relative;
  display: flex;
  align-items: center;
}

input[type="text"] {
  border: 1px solid #9A9DA4;
  border-radius: 4px;
  padding: 8px 30px 8px 10px; /* Adjust padding as needed */
  transition: border-color 0.3s;
}

.search-icon {
  position: absolute;
  cursor: pointer;
  background: url("../assets/Search.svg") no-repeat;
  width: 20px;
  height: 20px;
  left: 230px;
}
</style>
